Subject: Re: git diff annoyance / feature request

From: Miles Bader <[email-masked]>
Date: Fri, 26 Aug 2011 18:08:46 +0900

Boaz Harrosh <[email-masked]> writes:
>> Personally, I would have to say that the source wouldn't be using too many
>> labels with the same name for this behaviour to be problematic, especially
>> if it is not freaking BASIC ;-), so...
>
> The Linux Kernel is full of "goto out" or "goto err" its a common error handling
> practice. I actually like it because it taps onto a known pattern.
>
> Now the patch tell me @@@ lable out: !! that's not very useful I would say
>
> Thanks I'm sure I can shape it up the way I like it

Incidentally, if these annoyances were inherited from GNU diff, it would
be good to send a bug report there too,... I doubt anybody likes the
behavior any better with diff!

[I know I've been annoyed by such things before...]

Thanks,

-Miles

-- 
Innards, n. pl. The stomach, heart, soul, and other bowels.